Skip to main content
GET
Returns cancel reasons

Headers

M1-Organization-Code
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16
X-B3-TraceId
string

The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.

X-B3-SpanId
string

The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.

X-B3-ParentSpanId
string

The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.

Query Parameters

organizationCode
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16
limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: x >= 1

Response

JSON A list array with a data property that contains an array of up to limit CancelReason, starting after the specified starting_after TimeInterval (or ending before the specified ending_before TimeInterval). If no more TimeIntervals are available, the resulting array will be empty. This request should never throw an error.

A list of CancelReason objects matching the query. Also:

  • “total_count”: Integer count of the number of CancelReason in the returned list.

  • “url”: The query string provided in the request

  • “next”: The route (partial URL) to the next CancelReason object (string to select the “next”); included vid should match that of the last object returned here

  • “previous”: The route (partial URL) to the previous CancelReason object (string to select the “previous”); included vid should match that of the first object returned here

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next CancelReason object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous CancelReason object (string to select the “previous”); included id should match that of the first object returned here.

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"CancelReason\", \"reason_code\": \"0\", \"description\": \"Vindicia: Administrative Action\" }, { \"object\": \"CancelReason\", \"reason_code\": \"1\", \"description\": \"CashBox: Unspecified\" }, { \"object\": \"CancelReason\", \"reason_code\": \"2\", \"description\": \"CashBox: AutoBill Ended\" }, { \"object\": \"CancelReason\", \"reason_code\": \"3\", \"description\": \"CashBox: Account Updater reports card closed\" }, { \"object\": \"CancelReason\", \"reason_code\": \"4\", \"description\": \"CashBox: Chargeback received. Policy specifies AutoBill be canceled.\" }, { \"object\": \"CancelReason\", \"reason_code\": \"5\", \"description\": \"CashBox: Permanently Suspended for Non-Payment. Unable to Collect Payment\" }, { \"object\": \"CancelReason\", \"reason_code\": \"100\", \"description\": \"Merchant: Terminated (Policy or Terms Violation)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"101\", \"description\": \"Merchant: Prevent Auto-Renewal\" }, { \"object\": \"CancelReason\", \"reason_code\": \"102\", \"description\": \"Merchant: Refunded, Cancel Service\" }, { \"object\": \"CancelReason\", \"reason_code\": \"103\", \"description\": \"Merchant: Customer Dissatisfied\" }, { \"object\": \"CancelReason\", \"reason_code\": \"104\", \"description\": \"Merchant: Technical Issues with Service\" }, { \"object\": \"CancelReason\", \"reason_code\": \"105\", \"description\": \"Merchant: Unable/Unwilling to Pay (Cost too high)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"106\", \"description\": \"Merchant: Generic Cancel (Other)\" }, { \"object\": \"CancelReason\", \"reason_code\": \"107\", \"description\": \"Merchant: Verifi Cancel\" }, { \"object\": \"CancelReason\", \"reason_code\": \"6\", \"description\": \"CashBox: Expired unknown start autobill\" }, { \"object\": \"CancelReason\", \"reason_code\": \"8885\", \"description\": \"No longer required for subscriber\" } ], \"total_count\": 16, \"url\": \"/cancel_reasons\" }"